## IdeLocalDevice IdeLocalDevice |

## Properties

IdeTriplet * | triplet | Read / Write / Construct Only

## Types and Values

#define | IDE_TYPE_LOCAL_DEVICE
struct | IdeLocalDeviceClass
| IdeLocalDevice

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeDevice
                ╰── IdeLocalDevice

## Description

## Functions

## Types and Values

### IDE_TYPE_LOCAL_DEVICE

    #define IDE_TYPE_LOCAL_DEVICE (ide_local_device_get_type())

### struct IdeLocalDeviceClass

    struct IdeLocalDeviceClass {
      IdeDeviceClass parent;
    };

### IdeLocalDevice

    typedef struct _IdeLocalDevice IdeLocalDevice;

## Property Details

### The `“triplet”` property

      “triplet”                  IdeTriplet *

The #IdeTriplet object describing the local device configuration name.

Owner: IdeLocalDevice

Flags: Read / Write / Construct Only